Subject: Re: New draft-draft of sftp...

From: Jeffrey Altman <[email-masked]>
Date: Tue, 26 Nov 2002 12:20:56 EST

> Jeffrey Altman <[email-masked]> wrote:
> 
> > I am going to have to think about this concern for a bit.  However, my
> > initial reaction is that if the host has been hacked so that daemon
> > services are replaced then I think you are in bigger trouble.  At that
> > point you can't count on the contents of any of the files you may
> > receive from that server.  Depending on what they are you will be hosed.
> 
> That's a fair point in many circumstances, of course; yes.
> 
> Not every circumstance, though; suppose I was intending to download
> a bunch of archive files and then check their GPG signatures? In
> that situation I'm already protected against a malicious server
> changing the content of the files, so being unprotected against the
> same malicious server doing other damage to me is a step downward.
> 
> Cheers,
> Simon
> -- 
> Simon Tatham         "A cynic is a person who smells flowers and
> <[email-masked]>    immediately looks around for a coffin."
> 

That is assuming you have an out of band means of determining what the
files names should be.  If you don't have that then you are forced to
rely on the trust of the server to provide you the correct file
listings.

 Jeffrey Altman * Volunteer Developer      Kermit 95 2.1 GUI available now!!!
 The Kermit Project @ Columbia University  SSH, Secure Telnet, Secure FTP, HTTP
 http://www.kermit-project.org/            Secured with MIT Kerberos, SRP, and 
 [email-masked]               OpenSSL.

---

From: Richard Whalen <[email-masked]>
Date: Tue, 26 Nov 2002 12:27:08 -0500

"familiary" should be "familiar with" - I have no idea how that typo
happened.

-----Original Message-----
From: Richard Whalen [mailto:[email-masked]]
Sent: Tuesday, November 26, 2002 12:25 PM
To: [email-masked]
Subject: RE: New draft-draft of sftp...

The SCP that I am familiary (F-Secure code) does client side "globbing", not
server side.
The command line given in the example would cause it to get a directory
listing and apply the matching rules to the list of files received.

-----Original Message-----
From: Simon Tatham [mailto:[email-masked]]
Sent: Tuesday, November 26, 2002 12:07 PM
To: [email-masked]
Cc: Darren J Moffat; [email-masked]
Subject: Re: New draft-draft of sftp...

Jeffrey Altman <[email-masked]> wrote:

> Exactly.  Which goes directly to reason why globbing must be done on
> the system on which the file system is mounted.  It is only on that
> system that the appropriate matches can be done by the file system.
> Trying to guess what the file system is capable or not capable of will
> only produce inaccurate results.

But this is only one side of the story. The other side is the user
expectations, and the security angle.

SCP is a good example of a protocol that does server-side globbing,
and it's one most people on this list will have heard of :-) So
suppose I'm an SCP user and I type a command such as

  scp myserver:[abc]*.* .

to retrieve some files matching a wildcard, and copy them into my
current directory. The server will now send back a list of file
names and file contents, and my client program will create some
files locally.